---
search:
  tags:
    - Tags
    - GET
seo:
  description: >-
    Retrieves a single tag including its attributes,… Reference for the GET
    /api/v1/{team_slug}/{app_slug}/tags/{tag_key} endpoint in the Management
    API.
sidebar:
  label: Get a tag by key
  badge: GET
title: Get a tag by key
type: openapi-operation
---
Retrieves a single tag including its attributes, translations, associated markets, and scheduled jobs.

`GET /api/v1/{team_slug}/{app_slug}/tags/{tag_key}`

**Responses**

- `200` — Tag data with full details
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `404` — Not found
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "created_at": "string",
    "filterable": true,
    "id": "string",
    "key": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "schedules": [
      {
        "add_category_names": [
          "string"
        ],
        "add_collection_names": [
          "string"
        ],
        "add_tag_names": [
          "string"
        ],
        "execute_at": "string",
        "finished_at": "string",
        "group_id": "string",
        "id": "string",
        "item_id": "string",
        "item_name": "string",
        "item_type": "string",
        "remove_category_names": [
          "string"
        ],
        "remove_collection_names": [
          "string"
        ],
        "remove_tag_names": [
          "string"
        ],
        "to_amount_cents_with_tax": 0,
        "to_market_id": "string",
        "to_market_status": "string",
        "to_on_sale": true,
        "to_sale_amount_cents_with_tax": 0,
        "to_start_sale_timestamp": "string",
        "to_status": "string",
        "to_stop_sale_timestamp": "string",
        "to_store_group_id": "string"
      }
    ],
    "status": "string",
    "translations": {
      "name": [
        {
          "id": "string",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
